﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IParameterConfiguration : INamedItem {
    bool OptimizationEnabled { get; set; }
    string ParameterName { get; set; }
    IParameter Parameter { get; }
    IItem Value { get; set; }
    IItemList<IParameterConfiguration> ChildParameterConfigurations { get; }

    void Parameterize(IParameterizedItem parameterizedItem);

    event EventHandler OptimizationEnabledChanged;
    event EventHandler ValueChanging;
    event EventHandler ValueChanged;
  }
}
